<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.jyxpgxb.mapper.JyxpgxbMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="JyxpgxbResultMap" type="org.springblade.modules.jyxpgxb.entity.JyxpgxbEntity">
        <result column="id" property="id"/>
        <result column="xpmjid" property="xpmjid"/>
        <result column="jdmjid" property="jdmjid"/>
        <result column="xppcsid" property="xppcsid"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="xpqx" property="xpqx"/>
    </resultMap>


    <select id="selectJyxpgxbPage" resultMap="JyxpgxbResultMap">
        select * from jlrh_jyxpgxb where is_deleted = 0
    </select>


    <select id="exportJyxpgxb" resultType="org.springblade.modules.jyxpgxb.excel.JyxpgxbExcel">
        SELECT * FROM jlrh_jyxpgxb ${ew.customSqlSegment}
    </select>

</mapper>
